// creator  : weidu (version 130)
// argument : THORFF.DLG
// game     : .
// source   : ./override/THORFF.DLG
// dialog   : ./dialog.tlk
// dialogF  : ./dialogf.tlk

BEGIN ~THORFF~ 777 // non-zero flags may indicate non-pausing dialogue
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #1 /* Triggers after states #: 6 even though they appear after this state */
~NumTimesTalkedTo(0)
ReactionGT(LastTalkedToBy,HOSTILE_UPPER)
~ THEN BEGIN 0 // from:
  SAY @1 /* ~Evil men have been defiling the woodlands with smoke and waste, all in a futile quest for the metal, iron.  Would you join me in my task.  I would destroy these men of the 'Iron Throne'.  Come with me, they dwell to the east within a fort.~ #777 */
  IF ~~ THEN REPLY @3 /* ~Sure, we'll help you.~ #782 */ JOURNAL @2 /* ~A girl named Faldorn has told me that that the Iron Throne's base is located to the east.~ #11854 */ GOTO 3
  IF ~~ THEN REPLY @4 /* ~No.~ #783 */ GOTO 2
END

IF WEIGHT #2 /* Triggers after states #: 6 even though they appear after this state */
~NumTimesTalkedTo(0)
ReactionLT(LastTalkedToBy,NEUTRAL_LOWER)
~ THEN BEGIN 1 // from:
  SAY @5 /* ~Move aside city dwellers.  I warn you now; if you have any connection with the men that defile this wood in search of iron, I will cause you much suffering.~ #778 */
  IF ~~ THEN DO ~~ EXIT
END

IF ~~ THEN BEGIN 2 // from: 0.1
  SAY @6 /* ~Your lack of concern for this forest's suffering is disappointing.~ #779 */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 3 // from: 0.0
  SAY @7 /* ~You will help me!?  Let us find the men who foul our forests.  Quickly!  Their punishment must be swift.  We must travel east to their fort.~ #780 */
  IF ~~ THEN DO ~JoinParty()
~ JOURNAL @8 /* ~We have agreed to help Faldorn against the people who have been polluting the Cloakwood forest.  These people, apparently agents of the Iron Throne, dwell in a fort to the east.~ #6599 */ EXIT
END

IF ~~ THEN BEGIN 4 // from:
  SAY @9 /* ~Shut up, old man.  You and your kind's weakling ways have never helped the cause of balance.  You have no claim to wisdom.~ #781 */
  IF ~~ THEN EXIT
END

IF WEIGHT #3 /* Triggers after states #: 6 even though they appear after this state */
~True()
~ THEN BEGIN 5 // from:
  SAY @10 /* ~Have you changed your minds about combating the evil of the Iron Throne?  Join me, and together we can end the defiling of the Cloakwood.~ #6138 */
  IF ~~ THEN REPLY @11 /* ~We have no room for another in our party.~ #10887 */ EXIT
  IF ~~ THEN REPLY @12 /* ~As you wish.~ #10888 */ DO ~JoinParty()
~ JOURNAL @8 /* ~We have agreed to help Faldorn against the people who have been polluting the Cloakwood forest.  These people, apparently agents of the Iron Throne, dwell in a fort to the east.~ #6599 */ EXIT
END

IF WEIGHT #0 ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 6 // from:
  SAY @13 /* ~I am Faldorn, a member of the Shadow Druids.  The Shadow Druids are a sect of druids that believes in the destruction of civilization.  I have come to this region of the world to sow disorder among those druid sects that are too weak to share our vision.~ #6139 */
  IF ~~ THEN JOURNAL @14 /* ~When we charmed Faldorn, she told us that she was a member of the Shadow druids, a sect of druids that believes in the destruction of human civilization.~ #6600 */ EXIT
END

IF ~~ THEN BEGIN 7 // from:
  SAY @15 /* ~I have no patience for your weaknesses.  If I want action, I guess I'll have to make my own.~ #14741 */
  IF ~~ THEN DO ~~ EXIT
END

IF ~~ THEN BEGIN 8 // from:
  SAY @16 /* ~Very well but do not forget what I have taught you, friends: walk with rage against all who threaten the Great Mother.~ #14742 */
  IF ~~ THEN DO ~~ EXIT
END
